Subject: Re: bug#50195: [PATCH] Adding diary-offset, a diary-sexp offsetting another diary-sexp.

From: Yuchen Pei <[email-masked]>
Date: Thu, 26 Aug 2021 16:52:23 +1000

Michael Heerdegen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> > That would not work, you would still get warnings about free 
>> > variables.
>>
>> I don't understand.  This code did compile under 
>> dynamic-binding, so
>> what warnings did you have in mind?
>
> You can just try, they look like
>
> | In diary-list-entries-1:
> | diary-lib.el:731:17: Warning: reference to free variable 
> ‘number’
> | diary-lib.el:734:48: Warning: reference to free variable 
> ‘list-only’
>
> I just removed lexical-binding from the header and commented the
> `with-no-warnings' call in `diary-list-entries-1'.

Which command did you use to compile?  I compiled with just `make` 
and there was no warning.

>
>> > This case is a bit special and not directly related to 
>> > lexical-binding
>> > because these variables are just not declared with `defvar' 
>> > (and I think
>> > we don't want to introduce global variables like `date').
>>
>> You are saying this always emitted warnings?
>
> AFAIR there have been problems with these variables and warnings 
> about
> them for a long time, and different measures to handle them.  I 
> think
> (I'm not sure) we had (defvar date) in the file in the past.  If 
> you
> want to have any useful information you must ask Stefan, he was 
> the one
> that worked on that.
>
> Michael.

-- 
Best,
Yuchen

PGP Key: 47F9 D050 1E11 8879 9040  4941 2126 7E93 EF86 DFD0
           <https://ypei.me/assets/ypei-pubkey.txt>